Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.2.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
246.2.0.0
Broadcast address
246.2.255.255
First usable
246.2.0.1
Last usable
246.2.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6020000 · Integer 4127326208 to 4127391743
Reverse DNS zone
2.246.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00000010..00000000.00000000246.2.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11110110.00000010..00000000.00000000246.2.0.0
Broadcast11110110.00000010..11111111.11111111246.2.255.255
Split into smaller subnets/28

246.2.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.2.0.0/28246.2.0.1 to 246.2.0.14246.2.0.1514
2246.2.0.16/28246.2.0.17 to 246.2.0.30246.2.0.3114
3246.2.0.32/28246.2.0.33 to 246.2.0.46246.2.0.4714
4246.2.0.48/28246.2.0.49 to 246.2.0.62246.2.0.6314
5246.2.0.64/28246.2.0.65 to 246.2.0.78246.2.0.7914
6246.2.0.80/28246.2.0.81 to 246.2.0.94246.2.0.9514
7246.2.0.96/28246.2.0.97 to 246.2.0.110246.2.0.11114
8246.2.0.112/28246.2.0.113 to 246.2.0.126246.2.0.12714
9246.2.0.128/28246.2.0.129 to 246.2.0.142246.2.0.14314
10246.2.0.144/28246.2.0.145 to 246.2.0.158246.2.0.15914
11246.2.0.160/28246.2.0.161 to 246.2.0.174246.2.0.17514
12246.2.0.176/28246.2.0.177 to 246.2.0.190246.2.0.19114
13246.2.0.192/28246.2.0.193 to 246.2.0.206246.2.0.20714
14246.2.0.208/28246.2.0.209 to 246.2.0.222246.2.0.22314
15246.2.0.224/28246.2.0.225 to 246.2.0.238246.2.0.23914
16246.2.0.240/28246.2.0.241 to 246.2.0.254246.2.0.25514
17246.2.1.0/28246.2.1.1 to 246.2.1.14246.2.1.1514
18246.2.1.16/28246.2.1.17 to 246.2.1.30246.2.1.3114
19246.2.1.32/28246.2.1.33 to 246.2.1.46246.2.1.4714
20246.2.1.48/28246.2.1.49 to 246.2.1.62246.2.1.6314
21246.2.1.64/28246.2.1.65 to 246.2.1.78246.2.1.7914
22246.2.1.80/28246.2.1.81 to 246.2.1.94246.2.1.9514
23246.2.1.96/28246.2.1.97 to 246.2.1.110246.2.1.11114
24246.2.1.112/28246.2.1.113 to 246.2.1.126246.2.1.12714
25246.2.1.128/28246.2.1.129 to 246.2.1.142246.2.1.14314
26246.2.1.144/28246.2.1.145 to 246.2.1.158246.2.1.15914
27246.2.1.160/28246.2.1.161 to 246.2.1.174246.2.1.17514
28246.2.1.176/28246.2.1.177 to 246.2.1.190246.2.1.19114
29246.2.1.192/28246.2.1.193 to 246.2.1.206246.2.1.20714
30246.2.1.208/28246.2.1.209 to 246.2.1.222246.2.1.22314
31246.2.1.224/28246.2.1.225 to 246.2.1.238246.2.1.23914
32246.2.1.240/28246.2.1.241 to 246.2.1.254246.2.1.25514
33246.2.2.0/28246.2.2.1 to 246.2.2.14246.2.2.1514
34246.2.2.16/28246.2.2.17 to 246.2.2.30246.2.2.3114
35246.2.2.32/28246.2.2.33 to 246.2.2.46246.2.2.4714
36246.2.2.48/28246.2.2.49 to 246.2.2.62246.2.2.6314
37246.2.2.64/28246.2.2.65 to 246.2.2.78246.2.2.7914
38246.2.2.80/28246.2.2.81 to 246.2.2.94246.2.2.9514
39246.2.2.96/28246.2.2.97 to 246.2.2.110246.2.2.11114
40246.2.2.112/28246.2.2.113 to 246.2.2.126246.2.2.12714
41246.2.2.128/28246.2.2.129 to 246.2.2.142246.2.2.14314
42246.2.2.144/28246.2.2.145 to 246.2.2.158246.2.2.15914
43246.2.2.160/28246.2.2.161 to 246.2.2.174246.2.2.17514
44246.2.2.176/28246.2.2.177 to 246.2.2.190246.2.2.19114
45246.2.2.192/28246.2.2.193 to 246.2.2.206246.2.2.20714
46246.2.2.208/28246.2.2.209 to 246.2.2.222246.2.2.22314
47246.2.2.224/28246.2.2.225 to 246.2.2.238246.2.2.23914
48246.2.2.240/28246.2.2.241 to 246.2.2.254246.2.2.25514
49246.2.3.0/28246.2.3.1 to 246.2.3.14246.2.3.1514
50246.2.3.16/28246.2.3.17 to 246.2.3.30246.2.3.3114
51246.2.3.32/28246.2.3.33 to 246.2.3.46246.2.3.4714
52246.2.3.48/28246.2.3.49 to 246.2.3.62246.2.3.6314
53246.2.3.64/28246.2.3.65 to 246.2.3.78246.2.3.7914
54246.2.3.80/28246.2.3.81 to 246.2.3.94246.2.3.9514
55246.2.3.96/28246.2.3.97 to 246.2.3.110246.2.3.11114
56246.2.3.112/28246.2.3.113 to 246.2.3.126246.2.3.12714
57246.2.3.128/28246.2.3.129 to 246.2.3.142246.2.3.14314
58246.2.3.144/28246.2.3.145 to 246.2.3.158246.2.3.15914
59246.2.3.160/28246.2.3.161 to 246.2.3.174246.2.3.17514
60246.2.3.176/28246.2.3.177 to 246.2.3.190246.2.3.19114
61246.2.3.192/28246.2.3.193 to 246.2.3.206246.2.3.20714
62246.2.3.208/28246.2.3.209 to 246.2.3.222246.2.3.22314
63246.2.3.224/28246.2.3.225 to 246.2.3.238246.2.3.23914
64246.2.3.240/28246.2.3.241 to 246.2.3.254246.2.3.25514
65246.2.4.0/28246.2.4.1 to 246.2.4.14246.2.4.1514
66246.2.4.16/28246.2.4.17 to 246.2.4.30246.2.4.3114
67246.2.4.32/28246.2.4.33 to 246.2.4.46246.2.4.4714
68246.2.4.48/28246.2.4.49 to 246.2.4.62246.2.4.6314
69246.2.4.64/28246.2.4.65 to 246.2.4.78246.2.4.7914
70246.2.4.80/28246.2.4.81 to 246.2.4.94246.2.4.9514
71246.2.4.96/28246.2.4.97 to 246.2.4.110246.2.4.11114
72246.2.4.112/28246.2.4.113 to 246.2.4.126246.2.4.12714
73246.2.4.128/28246.2.4.129 to 246.2.4.142246.2.4.14314
74246.2.4.144/28246.2.4.145 to 246.2.4.158246.2.4.15914
75246.2.4.160/28246.2.4.161 to 246.2.4.174246.2.4.17514
76246.2.4.176/28246.2.4.177 to 246.2.4.190246.2.4.19114
77246.2.4.192/28246.2.4.193 to 246.2.4.206246.2.4.20714
78246.2.4.208/28246.2.4.209 to 246.2.4.222246.2.4.22314
79246.2.4.224/28246.2.4.225 to 246.2.4.238246.2.4.23914
80246.2.4.240/28246.2.4.241 to 246.2.4.254246.2.4.25514
81246.2.5.0/28246.2.5.1 to 246.2.5.14246.2.5.1514
82246.2.5.16/28246.2.5.17 to 246.2.5.30246.2.5.3114
83246.2.5.32/28246.2.5.33 to 246.2.5.46246.2.5.4714
84246.2.5.48/28246.2.5.49 to 246.2.5.62246.2.5.6314
85246.2.5.64/28246.2.5.65 to 246.2.5.78246.2.5.7914
86246.2.5.80/28246.2.5.81 to 246.2.5.94246.2.5.9514
87246.2.5.96/28246.2.5.97 to 246.2.5.110246.2.5.11114
88246.2.5.112/28246.2.5.113 to 246.2.5.126246.2.5.12714
89246.2.5.128/28246.2.5.129 to 246.2.5.142246.2.5.14314
90246.2.5.144/28246.2.5.145 to 246.2.5.158246.2.5.15914
91246.2.5.160/28246.2.5.161 to 246.2.5.174246.2.5.17514
92246.2.5.176/28246.2.5.177 to 246.2.5.190246.2.5.19114
93246.2.5.192/28246.2.5.193 to 246.2.5.206246.2.5.20714
94246.2.5.208/28246.2.5.209 to 246.2.5.222246.2.5.22314
95246.2.5.224/28246.2.5.225 to 246.2.5.238246.2.5.23914
96246.2.5.240/28246.2.5.241 to 246.2.5.254246.2.5.25514
97246.2.6.0/28246.2.6.1 to 246.2.6.14246.2.6.1514
98246.2.6.16/28246.2.6.17 to 246.2.6.30246.2.6.3114
99246.2.6.32/28246.2.6.33 to 246.2.6.46246.2.6.4714
100246.2.6.48/28246.2.6.49 to 246.2.6.62246.2.6.6314
101246.2.6.64/28246.2.6.65 to 246.2.6.78246.2.6.7914
102246.2.6.80/28246.2.6.81 to 246.2.6.94246.2.6.9514
103246.2.6.96/28246.2.6.97 to 246.2.6.110246.2.6.11114
104246.2.6.112/28246.2.6.113 to 246.2.6.126246.2.6.12714
105246.2.6.128/28246.2.6.129 to 246.2.6.142246.2.6.14314
106246.2.6.144/28246.2.6.145 to 246.2.6.158246.2.6.15914
107246.2.6.160/28246.2.6.161 to 246.2.6.174246.2.6.17514
108246.2.6.176/28246.2.6.177 to 246.2.6.190246.2.6.19114
109246.2.6.192/28246.2.6.193 to 246.2.6.206246.2.6.20714
110246.2.6.208/28246.2.6.209 to 246.2.6.222246.2.6.22314
111246.2.6.224/28246.2.6.225 to 246.2.6.238246.2.6.23914
112246.2.6.240/28246.2.6.241 to 246.2.6.254246.2.6.25514
113246.2.7.0/28246.2.7.1 to 246.2.7.14246.2.7.1514
114246.2.7.16/28246.2.7.17 to 246.2.7.30246.2.7.3114
115246.2.7.32/28246.2.7.33 to 246.2.7.46246.2.7.4714
116246.2.7.48/28246.2.7.49 to 246.2.7.62246.2.7.6314
117246.2.7.64/28246.2.7.65 to 246.2.7.78246.2.7.7914
118246.2.7.80/28246.2.7.81 to 246.2.7.94246.2.7.9514
119246.2.7.96/28246.2.7.97 to 246.2.7.110246.2.7.11114
120246.2.7.112/28246.2.7.113 to 246.2.7.126246.2.7.12714
121246.2.7.128/28246.2.7.129 to 246.2.7.142246.2.7.14314
122246.2.7.144/28246.2.7.145 to 246.2.7.158246.2.7.15914
123246.2.7.160/28246.2.7.161 to 246.2.7.174246.2.7.17514
124246.2.7.176/28246.2.7.177 to 246.2.7.190246.2.7.19114
125246.2.7.192/28246.2.7.193 to 246.2.7.206246.2.7.20714
126246.2.7.208/28246.2.7.209 to 246.2.7.222246.2.7.22314
127246.2.7.224/28246.2.7.225 to 246.2.7.238246.2.7.23914
128246.2.7.240/28246.2.7.241 to 246.2.7.254246.2.7.25514
129246.2.8.0/28246.2.8.1 to 246.2.8.14246.2.8.1514
130246.2.8.16/28246.2.8.17 to 246.2.8.30246.2.8.3114
131246.2.8.32/28246.2.8.33 to 246.2.8.46246.2.8.4714
132246.2.8.48/28246.2.8.49 to 246.2.8.62246.2.8.6314
133246.2.8.64/28246.2.8.65 to 246.2.8.78246.2.8.7914
134246.2.8.80/28246.2.8.81 to 246.2.8.94246.2.8.9514
135246.2.8.96/28246.2.8.97 to 246.2.8.110246.2.8.11114
136246.2.8.112/28246.2.8.113 to 246.2.8.126246.2.8.12714
137246.2.8.128/28246.2.8.129 to 246.2.8.142246.2.8.14314
138246.2.8.144/28246.2.8.145 to 246.2.8.158246.2.8.15914
139246.2.8.160/28246.2.8.161 to 246.2.8.174246.2.8.17514
140246.2.8.176/28246.2.8.177 to 246.2.8.190246.2.8.19114
141246.2.8.192/28246.2.8.193 to 246.2.8.206246.2.8.20714
142246.2.8.208/28246.2.8.209 to 246.2.8.222246.2.8.22314
143246.2.8.224/28246.2.8.225 to 246.2.8.238246.2.8.23914
144246.2.8.240/28246.2.8.241 to 246.2.8.254246.2.8.25514
145246.2.9.0/28246.2.9.1 to 246.2.9.14246.2.9.1514
146246.2.9.16/28246.2.9.17 to 246.2.9.30246.2.9.3114
147246.2.9.32/28246.2.9.33 to 246.2.9.46246.2.9.4714
148246.2.9.48/28246.2.9.49 to 246.2.9.62246.2.9.6314
149246.2.9.64/28246.2.9.65 to 246.2.9.78246.2.9.7914
150246.2.9.80/28246.2.9.81 to 246.2.9.94246.2.9.9514
151246.2.9.96/28246.2.9.97 to 246.2.9.110246.2.9.11114
152246.2.9.112/28246.2.9.113 to 246.2.9.126246.2.9.12714
153246.2.9.128/28246.2.9.129 to 246.2.9.142246.2.9.14314
154246.2.9.144/28246.2.9.145 to 246.2.9.158246.2.9.15914
155246.2.9.160/28246.2.9.161 to 246.2.9.174246.2.9.17514
156246.2.9.176/28246.2.9.177 to 246.2.9.190246.2.9.19114
157246.2.9.192/28246.2.9.193 to 246.2.9.206246.2.9.20714
158246.2.9.208/28246.2.9.209 to 246.2.9.222246.2.9.22314
159246.2.9.224/28246.2.9.225 to 246.2.9.238246.2.9.23914
160246.2.9.240/28246.2.9.241 to 246.2.9.254246.2.9.25514
161246.2.10.0/28246.2.10.1 to 246.2.10.14246.2.10.1514
162246.2.10.16/28246.2.10.17 to 246.2.10.30246.2.10.3114
163246.2.10.32/28246.2.10.33 to 246.2.10.46246.2.10.4714
164246.2.10.48/28246.2.10.49 to 246.2.10.62246.2.10.6314
165246.2.10.64/28246.2.10.65 to 246.2.10.78246.2.10.7914
166246.2.10.80/28246.2.10.81 to 246.2.10.94246.2.10.9514
167246.2.10.96/28246.2.10.97 to 246.2.10.110246.2.10.11114
168246.2.10.112/28246.2.10.113 to 246.2.10.126246.2.10.12714
169246.2.10.128/28246.2.10.129 to 246.2.10.142246.2.10.14314
170246.2.10.144/28246.2.10.145 to 246.2.10.158246.2.10.15914
171246.2.10.160/28246.2.10.161 to 246.2.10.174246.2.10.17514
172246.2.10.176/28246.2.10.177 to 246.2.10.190246.2.10.19114
173246.2.10.192/28246.2.10.193 to 246.2.10.206246.2.10.20714
174246.2.10.208/28246.2.10.209 to 246.2.10.222246.2.10.22314
175246.2.10.224/28246.2.10.225 to 246.2.10.238246.2.10.23914
176246.2.10.240/28246.2.10.241 to 246.2.10.254246.2.10.25514
177246.2.11.0/28246.2.11.1 to 246.2.11.14246.2.11.1514
178246.2.11.16/28246.2.11.17 to 246.2.11.30246.2.11.3114
179246.2.11.32/28246.2.11.33 to 246.2.11.46246.2.11.4714
180246.2.11.48/28246.2.11.49 to 246.2.11.62246.2.11.6314
181246.2.11.64/28246.2.11.65 to 246.2.11.78246.2.11.7914
182246.2.11.80/28246.2.11.81 to 246.2.11.94246.2.11.9514
183246.2.11.96/28246.2.11.97 to 246.2.11.110246.2.11.11114
184246.2.11.112/28246.2.11.113 to 246.2.11.126246.2.11.12714
185246.2.11.128/28246.2.11.129 to 246.2.11.142246.2.11.14314
186246.2.11.144/28246.2.11.145 to 246.2.11.158246.2.11.15914
187246.2.11.160/28246.2.11.161 to 246.2.11.174246.2.11.17514
188246.2.11.176/28246.2.11.177 to 246.2.11.190246.2.11.19114
189246.2.11.192/28246.2.11.193 to 246.2.11.206246.2.11.20714
190246.2.11.208/28246.2.11.209 to 246.2.11.222246.2.11.22314
191246.2.11.224/28246.2.11.225 to 246.2.11.238246.2.11.23914
192246.2.11.240/28246.2.11.241 to 246.2.11.254246.2.11.25514
193246.2.12.0/28246.2.12.1 to 246.2.12.14246.2.12.1514
194246.2.12.16/28246.2.12.17 to 246.2.12.30246.2.12.3114
195246.2.12.32/28246.2.12.33 to 246.2.12.46246.2.12.4714
196246.2.12.48/28246.2.12.49 to 246.2.12.62246.2.12.6314
197246.2.12.64/28246.2.12.65 to 246.2.12.78246.2.12.7914
198246.2.12.80/28246.2.12.81 to 246.2.12.94246.2.12.9514
199246.2.12.96/28246.2.12.97 to 246.2.12.110246.2.12.11114
200246.2.12.112/28246.2.12.113 to 246.2.12.126246.2.12.12714
201246.2.12.128/28246.2.12.129 to 246.2.12.142246.2.12.14314
202246.2.12.144/28246.2.12.145 to 246.2.12.158246.2.12.15914
203246.2.12.160/28246.2.12.161 to 246.2.12.174246.2.12.17514
204246.2.12.176/28246.2.12.177 to 246.2.12.190246.2.12.19114
205246.2.12.192/28246.2.12.193 to 246.2.12.206246.2.12.20714
206246.2.12.208/28246.2.12.209 to 246.2.12.222246.2.12.22314
207246.2.12.224/28246.2.12.225 to 246.2.12.238246.2.12.23914
208246.2.12.240/28246.2.12.241 to 246.2.12.254246.2.12.25514
209246.2.13.0/28246.2.13.1 to 246.2.13.14246.2.13.1514
210246.2.13.16/28246.2.13.17 to 246.2.13.30246.2.13.3114
211246.2.13.32/28246.2.13.33 to 246.2.13.46246.2.13.4714
212246.2.13.48/28246.2.13.49 to 246.2.13.62246.2.13.6314
213246.2.13.64/28246.2.13.65 to 246.2.13.78246.2.13.7914
214246.2.13.80/28246.2.13.81 to 246.2.13.94246.2.13.9514
215246.2.13.96/28246.2.13.97 to 246.2.13.110246.2.13.11114
216246.2.13.112/28246.2.13.113 to 246.2.13.126246.2.13.12714
217246.2.13.128/28246.2.13.129 to 246.2.13.142246.2.13.14314
218246.2.13.144/28246.2.13.145 to 246.2.13.158246.2.13.15914
219246.2.13.160/28246.2.13.161 to 246.2.13.174246.2.13.17514
220246.2.13.176/28246.2.13.177 to 246.2.13.190246.2.13.19114
221246.2.13.192/28246.2.13.193 to 246.2.13.206246.2.13.20714
222246.2.13.208/28246.2.13.209 to 246.2.13.222246.2.13.22314
223246.2.13.224/28246.2.13.225 to 246.2.13.238246.2.13.23914
224246.2.13.240/28246.2.13.241 to 246.2.13.254246.2.13.25514
225246.2.14.0/28246.2.14.1 to 246.2.14.14246.2.14.1514
226246.2.14.16/28246.2.14.17 to 246.2.14.30246.2.14.3114
227246.2.14.32/28246.2.14.33 to 246.2.14.46246.2.14.4714
228246.2.14.48/28246.2.14.49 to 246.2.14.62246.2.14.6314
229246.2.14.64/28246.2.14.65 to 246.2.14.78246.2.14.7914
230246.2.14.80/28246.2.14.81 to 246.2.14.94246.2.14.9514
231246.2.14.96/28246.2.14.97 to 246.2.14.110246.2.14.11114
232246.2.14.112/28246.2.14.113 to 246.2.14.126246.2.14.12714
233246.2.14.128/28246.2.14.129 to 246.2.14.142246.2.14.14314
234246.2.14.144/28246.2.14.145 to 246.2.14.158246.2.14.15914
235246.2.14.160/28246.2.14.161 to 246.2.14.174246.2.14.17514
236246.2.14.176/28246.2.14.177 to 246.2.14.190246.2.14.19114
237246.2.14.192/28246.2.14.193 to 246.2.14.206246.2.14.20714
238246.2.14.208/28246.2.14.209 to 246.2.14.222246.2.14.22314
239246.2.14.224/28246.2.14.225 to 246.2.14.238246.2.14.23914
240246.2.14.240/28246.2.14.241 to 246.2.14.254246.2.14.25514
241246.2.15.0/28246.2.15.1 to 246.2.15.14246.2.15.1514
242246.2.15.16/28246.2.15.17 to 246.2.15.30246.2.15.3114
243246.2.15.32/28246.2.15.33 to 246.2.15.46246.2.15.4714
244246.2.15.48/28246.2.15.49 to 246.2.15.62246.2.15.6314
245246.2.15.64/28246.2.15.65 to 246.2.15.78246.2.15.7914
246246.2.15.80/28246.2.15.81 to 246.2.15.94246.2.15.9514
247246.2.15.96/28246.2.15.97 to 246.2.15.110246.2.15.11114
248246.2.15.112/28246.2.15.113 to 246.2.15.126246.2.15.12714
249246.2.15.128/28246.2.15.129 to 246.2.15.142246.2.15.14314
250246.2.15.144/28246.2.15.145 to 246.2.15.158246.2.15.15914
251246.2.15.160/28246.2.15.161 to 246.2.15.174246.2.15.17514
252246.2.15.176/28246.2.15.177 to 246.2.15.190246.2.15.19114
253246.2.15.192/28246.2.15.193 to 246.2.15.206246.2.15.20714
254246.2.15.208/28246.2.15.209 to 246.2.15.222246.2.15.22314
255246.2.15.224/28246.2.15.225 to 246.2.15.238246.2.15.23914
256246.2.15.240/28246.2.15.241 to 246.2.15.254246.2.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses